//
//  SimpleCar.m
//  CarApp
//
//  Created by Mark Douma on 6/3/2011.
//  Copyright 2011 Mark Douma LLC. All rights reserved.
//

#import "SimpleCar.h"


@implementation SimpleCar

-(void) dealloc
{
    [vin release];
    [make release];
    [model release];
    [super dealloc];
}


// set methods
- (void) setVin: (NSNumber*)newVin {
	[newVin retain];
	[vin release];
	vin = newVin;
//    [vin release];
//    vin = [[NSNumber alloc] init];
//    vin = newVin;
}

- (void) setMake: (NSString*)newMake {
	[newMake retain];
	[make release];
	make = newMake;
//    [make release];
//    make = [[NSString alloc] initWithString:newMake];
}

- (void) setModel: (NSString*)newModel {
	[newModel retain];
	[model release];
	model = newModel;
//    [model release];
//    model = [[NSString alloc] initWithString:newModel];
}

// convenience method
- (void) setMake: (NSString*)newMake
        andModel: (NSString*)newModel {
	
    // Reuse our methods from earlier
    [self setMake:newMake];
    [self setModel:newModel];
	
}

- (NSString*) make {
    return make;
}

- (NSString*) model {
    return model;
}

- (NSNumber*) vin {
    return vin;
}


@end
